set xlabel "$x$"
set ylabel "$f(x)$"

set xrange [0:12]
set yrange [-50:1100]

set key at 5,1000

plot int(x)!         title "$x!$"             with lines dt 1 linewidth 2,\
     2**x            title "$2\\^x$"          with lines dt 2 linewidth 2,\
     x*x*x           title "$x\\^3$"          with lines dt 3 linewidth 2,\
     x*x             title "$x\\^2$"          with lines dt 4 linewidth 2,\
     x*log(x)/log(2) title "$x \\log\\_2(x)$" with lines dt 5 linewidth 2,\
     x               title "$x$"              with lines dt 6 linewidth 2,\
     sqrt(x)         title "$\\sqrt\\{x\\}$"  with lines dt 7 linewidth 2,\
     log(x)/log(2)   title "$\\log\\_2(x)$"   with lines dt 8 linewidth 2

#pause -1 "Type return to continue"

set size 0.7, 0.7

set terminal postscript eps enhanced color font 'Times-Roman,16'
set output "complexity.ps"
replot
